Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.dom
Class AbstractMarkupModel

    java.lang.Object
      org.apache.tapestry5.dom.AbstractMarkupModel

All Implemented Interfaces:
  MarkupModel

Direct Known Subclasses:
  DefaultMarkupModel, XMLMarkupModel

    public abstract class AbstractMarkupModel

extends java.lang.Object
implements MarkupModel

Constructor Summary
`protected` | `AbstractMarkupModel(boolean useApostropheForAttributes)`

Method Summary
`java.lang.String` | `encode(java.lang.String content)` Passes all characters but '<', '>' and '&' through unchanged.
`void` | `encodeQuoted(java.lang.String content, java.lang.StringBuilder builder)` Encodes the characters into the buffer for use in a quoted value (that is, an attribute value), converting control characters (such as '<') into corresponding entities (such as &lt;).
`char` | `getAttributeQuote()` What character is used when generating quotes around attribute values? This will be either a single or double quote.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.dom.MarkupModel
`getEndTagStyle, isXML`

Constructor Detail

### AbstractMarkupModel

    protected AbstractMarkupModel(boolean useApostropheForAttributes)

Method Detail

### getAttributeQuote

    public char getAttributeQuote()

  Description copied from interface: `MarkupModel`
  What character is used when generating quotes around attribute values? This will be either a single or double quote.

  Specified by:
    `getAttributeQuote` in interface `MarkupModel`
  Returns:
    single (') or double (") quote

### encode

    public java.lang.String encode(java.lang.String content)

  Passes all characters but '<', '>' and '&' through unchanged.

  Specified by:
    `encode` in interface `MarkupModel`
  Parameters:
    `content` - to be filtered
  Returns:
    the filtered content

### encodeQuoted

    public void encodeQuoted(java.lang.String content,
                             java.lang.StringBuilder builder)

  Description copied from interface: `MarkupModel`
  Encodes the characters into the buffer for use in a quoted value (that is, an attribute value), converting control characters (such as '<') into corresponding entities (such as &lt;). In addition, double quotes must be quoted or otherwise escaped.

  Specified by:
    `encodeQuoted` in interface `MarkupModel`
  Parameters:
    `content` - to be filtered
    `builder` - to receive the filtered content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.